implementation

## Class PersonStyle

- java.lang.Object
- - implementation.PersonStyle

- All Implemented Interfaces:
    repast.simphony.visualizationOGL2D.StyleOGL2D<Person>

      public class PersonStyle
      extends java.lang.Object
      implements repast.simphony.visualizationOGL2D.StyleOGL2D<Person>

  Version:
    1.0
  Author:
    Alan Mills

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonStyle()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getBorderColor(Person person)`
    `int` | `getBorderSize(Person person)`
    `java.awt.Color` | `getColor(Person person)`
    `java.lang.String` | `getLabel(Person person)`
    `java.awt.Color` | `getLabelColor(Person person)`
    `java.awt.Font` | `getLabelFont(Person person)`
    `saf.v3d.scene.Position` | `getLabelPosition(Person person)`
    `float` | `getLabelXOffset(Person person)`
    `float` | `getLabelYOffset(Person person)`
    `float` | `getRotation(Person person)`
    `float` | `getScale(Person person)`
    `saf.v3d.scene.VSpatial` | `getVSpatial(Person person, saf.v3d.scene.VSpatial spatial)`
    `void` | `init(saf.v3d.ShapeFactory2D shapeFactory)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersonStyle

          public PersonStyle()

  - ### Method Detail

    - #### getLabel

          public java.lang.String getLabel(Person person)

      Specified by:
        `getLabel` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Person>`

    - #### getLabelFont

          public java.awt.Font getLabelFont(Person person)

      Specified by:
        `getLabelFont` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Person>`

    - #### getLabelXOffset

          public float getLabelXOffset(Person person)

      Specified by:
        `getLabelXOffset` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Person>`

    - #### getLabelYOffset

          public float getLabelYOffset(Person person)

      Specified by:
        `getLabelYOffset` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Person>`

    - #### getLabelPosition

          public saf.v3d.scene.Position getLabelPosition(Person person)

      Specified by:
        `getLabelPosition` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Person>`

    - #### getLabelColor

          public java.awt.Color getLabelColor(Person person)

      Specified by:
        `getLabelColor` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Person>`

    - #### getVSpatial

          public saf.v3d.scene.VSpatial getVSpatial(Person person,
                                           saf.v3d.scene.VSpatial spatial)

      Specified by:
        `getVSpatial` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Person>`

    - #### getColor

          public java.awt.Color getColor(Person person)

      Specified by:
        `getColor` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Person>`

    - #### getScale

          public float getScale(Person person)

      Specified by:
        `getScale` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Person>`

    - #### init

          public void init(saf.v3d.ShapeFactory2D shapeFactory)

      Specified by:
        `init` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Person>`

    - #### getBorderSize

          public int getBorderSize(Person person)

      Specified by:
        `getBorderSize` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Person>`

    - #### getBorderColor

          public java.awt.Color getBorderColor(Person person)

      Specified by:
        `getBorderColor` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Person>`

    - #### getRotation

          public float getRotation(Person person)

      Specified by:
        `getRotation` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Person>`